# Logging color constants
red="[2;31m"
green="[2;32m"
blue="[34m"
yellow="[1;33m"
cyan="[36m"
progress_color="[2;35m"
normal="[0m"


# Logging utility functions
function error() {
local msg=$1

	echo -n "${red}${msg}${normal}"
}

function warn() {
local msg=$1

	echo -n "${yellow}${msg}${normal}"
}

function action() {
local msg=$1

	echo -n "${green}${msg}${normal}"
}

function module() {
local msg=${1:-$module}

	echo -n "${cyan}${msg}${normal}"
}

function repository() {
local msg=${1:-$repository}

	echo -n "${blue}${msg}${normal}"
}

function path() {
local path=$1

	echo -n "'$path'"
}

function file() {
local file=${1:-$file}

	path "$file"
}

function dir() {
local dir=${1:-$dir}

	path "$dir"
}

